Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

🔢 Checkout - BIN Detay Sorgusu

Kartın ilk 6 hanesine göre kart bilgisi döner. GET https://api-test.fincraft.com.tr/api/v1/checkout/{checkoutToken}/bin/{binNumber}

Path Parameters

ParametreTipZorunluAçıklama
checkoutTokenStringEvetCheckout oturum token’ı
binNumberStringEvetKartın ilk 6 hanesi

Response Body

{
    "id": "f9e91fdb-3617-42b4-b163-c9b2fee06644",
    "binNumber": "521848",
    "cardType": "CREDIT",
    "cardSubType": "GOLD",
    "cardBrand": "BONUS",
    "cardSchema": "MASTERCARD",
    "businessCard": false,
    "status": "ACTIVE",
    "bank": "TFKB",
    "bankCode": "0206",
    "panLength": "16",
    "binLength": "6"
}

cURL Örneği

curl -X GET https://api-test.fincraft.com.tr/api/v1/checkout/238a992b-c13d-4eb7-b12c-b0594aa469be/bin/521848 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"